Second part to fix missing x-bit on pkg*install

PR:		31599
This commit is contained in:
Andrey A. Chernov 2001-10-29 20:05:37 +00:00
parent 7c7fe1cb61
commit 32be33fe8b
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=49342
12 changed files with 224 additions and 4 deletions

View File

@ -7,7 +7,7 @@
PORTNAME= apache
PORTVERSION= 2.0.16
PORTREVISION= 2
PORTREVISION= 3
CATEGORIES= www ipv6
MASTER_SITES= http://httpd.apache.org/dist/httpd/ \
http://www.cybernic.com/mirror/dist/httpd/ \

20
www/apache2/pkg-deinstall Normal file
View File

@ -0,0 +1,20 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-deinstall,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw userdel ${USER}; then
echo "Delete user/group \"${USER}\"."
else
echo "Deleting user/group \"${USER}\" failed..."
exit 1
fi
fi
exit 0

35
www/apache2/pkg-install Normal file
View File

@ -0,0 +1,35 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

View File

@ -7,7 +7,7 @@
PORTNAME= apache
PORTVERSION= 2.0.16
PORTREVISION= 2
PORTREVISION= 3
CATEGORIES= www ipv6
MASTER_SITES= http://httpd.apache.org/dist/httpd/ \
http://www.cybernic.com/mirror/dist/httpd/ \

View File

@ -0,0 +1,20 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache20/Attic/pkg-deinstall,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw userdel ${USER}; then
echo "Delete user/group \"${USER}\"."
else
echo "Deleting user/group \"${USER}\" failed..."
exit 1
fi
fi
exit 0

35
www/apache20/pkg-install Normal file
View File

@ -0,0 +1,35 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

View File

@ -7,7 +7,7 @@
PORTNAME= apache
PORTVERSION= 2.0.16
PORTREVISION= 2
PORTREVISION= 3
CATEGORIES= www ipv6
MASTER_SITES= http://httpd.apache.org/dist/httpd/ \
http://www.cybernic.com/mirror/dist/httpd/ \

View File

@ -0,0 +1,20 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache21/Attic/pkg-deinstall,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw userdel ${USER}; then
echo "Delete user/group \"${USER}\"."
else
echo "Deleting user/group \"${USER}\" failed..."
exit 1
fi
fi
exit 0

35
www/apache21/pkg-install Normal file
View File

@ -0,0 +1,35 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache21/Attic/pkg-install,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

View File

@ -7,7 +7,7 @@
PORTNAME= apache
PORTVERSION= 2.0.16
PORTREVISION= 2
PORTREVISION= 3
CATEGORIES= www ipv6
MASTER_SITES= http://httpd.apache.org/dist/httpd/ \
http://www.cybernic.com/mirror/dist/httpd/ \

View File

@ -0,0 +1,20 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache22/Attic/pkg-deinstall,v 1.3 2001-10-29 20:05:37 ache Exp $
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw userdel ${USER}; then
echo "Delete user/group \"${USER}\"."
else
echo "Deleting user/group \"${USER}\" failed..."
exit 1
fi
fi
exit 0

35
www/apache22/pkg-install Normal file
View File

@ -0,0 +1,35 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0